| Kea 3.0.2-git

libdhcp++.cc File Reference
`#include <config.h>`
`#include <dhcp/dhcp4.h>`
`#include <dhcp/dhcp6.h>`
`#include <dhcp/libdhcp++.h>`
`#include <dhcp/option.h>`
`#include <dhcp/option_vendor.h>`
`#include <dhcp/option6_ia.h>`
`#include <dhcp/option6_iaaddr.h>`
`#include <dhcp/option_definition.h>`
`#include <dhcp/option_int_array.h>`
`#include <dhcp/option_vendor_class.h>`
`#include <dhcp/option_custom.h>`
`#include <dhcp/std_option_defs.h>`
`#include <dhcp/docsis3_option_defs.h>`
`#include <exceptions/exceptions.h>`
`#include <exceptions/isc_assert.h>`
`#include <util/buffer.h>`
`#include <util/io.h>`
`#include <boost/foreach.hpp>`
`#include <boost/lexical_cast.hpp>`
`#include <boost/shared_array.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <limits>`
`#include <list>`
`#include <unordered_map>`
`#include <vector>`
Include dependency graph for libdhcp++.cc:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Functions
void | initOptionSpace (OptionDefContainerPtr &defs, const OptionDefParams *params, size_t params_size)
const OptionDefContainerPtr | null_option_def_container_ (new OptionDefContainer())

## Function Documentation

## ◆ initOptionSpace()

void initOptionSpace | ( | OptionDefContainerPtr & | defs,
|  | const OptionDefParams * | params,
|  | size_t | params_size )

Definition at line 1370 of file libdhcp++.cc.

References isc::dhcp::OptionDefParams::array, isc_throw, and isc::dhcp::OptionDefParams::records_size.

## ◆ null_option_def_container_()

const OptionDefContainerPtr null_option_def_container_ | ( | new | OptionDefContainer() | ) |

Referenced by isc::dhcp::LibDHCP::getLastResortOptionDefs(), isc::dhcp::LibDHCP::getOptionDefs(), and isc::dhcp::LibDHCP::getVendorOptionDefs().